[gentoo-user-fr] ooops help

Le
Pascal Ronecker
pour resoudre un conflit d'emerge j ai un peu viré python.

nan je sais c etait pas malin.

emerge est du coup dans les choux, j aurais du faire des "one shot" ou
je ne sais quoi BREF : comment je m en sors ?

reinstall a la mimine ?
--
gentoo-user-fr@gentoo.org mailing list
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Pascal Ronecker
Le #7801891
Pascal Ronecker wrote:
pour resoudre un conflit d'emerge j ai un peu viré ... python.

nan je sais c etait pas malin.

emerge est du coup dans les choux, j aurais du faire des "one shot" ou
je ne sais quoi BREF : comment je m en sors ?

reinstall a la mimine ?



et surtout j aurais du faire quoi epour résoudre ca :

Calculating dependencies... done!
[ebuild N ] app-admin/python-updater-0.3
[ebuild NS ] dev-lang/python-2.5.1-r3 USE="berkdb gdbm ipv6 ncurses
readline ssl -bootstrap -build -doc -examples -nothreads -sqlite -tk -ucs2"
[blocks B ] <dev-lang/python-2.3.6-r2 (is blocking
app-admin/python-updater-0.3)

--
mailing list
Thierry Volpiatto
Le #7801871
Pascal Ronecker
Pascal Ronecker wrote:
pour resoudre un conflit d'emerge j ai un peu viré ... python.

nan je sais c etait pas malin.

emerge est du coup dans les choux, j aurais du faire des "one shot" ou
je ne sais quoi BREF : comment je m en sors ?

reinstall a la mimine ?




Salut, demarre sur le livecd, monte ta(es) partition(s), chroot (voir man
d'install) ,emerge python (voir ci-dessous), demonte tes partitions et rebo ot.




et surtout j aurais du faire quoi epour résoudre ca :

Calculating dependencies... done!
[ebuild N ] app-admin/python-updater-0.3
[ebuild NS ] dev-lang/python-2.5.1-r3 USE="berkdb gdbm ipv6 ncurses
readline ssl -bootstrap -build -doc -examples -nothreads -sqlite -tk -ucs 2"
[blocks B ] <dev-lang/python-2.3.6-r2 (is blocking
app-admin/python-updater-0.3)


Essayes
emerge -av --oneshot python
ou
emerge -av --resume --skipfirst python

--
A + Thierry
pubkey: http://pgp.mit.edu/
--
mailing list
Damien Thébault
Le #7801861
--=-6lUs4XU6ReRvLkAXyA/N
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


Le vendredi 09 novembre 2007 à 17:25 +0100, Pascal Ronecker a écr it :
Pascal Ronecker wrote:
> pour resoudre un conflit d'emerge j ai un peu viré ... python.
>
> nan je sais c etait pas malin.
>
> emerge est du coup dans les choux, j aurais du faire des "one shot" ou
> je ne sais quoi BREF : comment je m en sors ?
>
> reinstall a la mimine ?
>



1) Récupérer le package de python précompilé depuis :
http://tinderbox.x86.dev.gentoo.org/default-linux/x86/All/python-2.4.4-r6.t bz2
Et le mettre dans /usr/portage/distfiles/
2) Le décompresser comme une brute :
$ cd /
$ tar -xvjf /usr/portage/distfiles/python-2.4.4-r6.tbz2
3) Normalement python devrait marcher maintenant, donc réinstaller ce
package binaire :
$ FEATURES="-collision-protect" emerge -K "=python-2.4.4-r6"
(puis lancer le python-updater, puis voir ci-dessous)

et surtout j aurais du faire quoi epour résoudre ca :

Calculating dependencies... done!
[ebuild N ] app-admin/python-updater-0.3
[ebuild NS ] dev-lang/python-2.5.1-r3 USE="berkdb gdbm ipv6 ncurses
readline ssl -bootstrap -build -doc -examples -nothreads -sqlite -tk -ucs 2"
[blocks B ] <dev-lang/python-2.3.6-r2 (is blocking
app-admin/python-updater-0.3)




En fait il suffisait d'installer python 2.4 et de désinstaller python
2.3 avant de mettre à jour en 2.5.
Soit dit en passant :
1) python 2.4 est stable depuis fin 2005
( http://www.gentoo.org/news/en/gwn/20051003-newsletter.xml )
2) La dernière version stable de portage a besoin de python 2.4 (depui s
2 mois)
3) python 2.5 est toujours en tildarch

Donc tout le monde est sensé avoir python 2.4 et personne n'est sens é
passer à python 2.5 sans faire bien attention. :p

Désinstaller python 2.3 est la bonne chose à faire... mais en aya nt
python 2.4 installé :)
--
Damien Thebault

Key C15AB8AF
Fingerprint 8FB9 8576 7033 4B45 3DF5 88E8 5471 1A44 C15A B8AF

--=-6lUs4XU6ReRvLkAXyA/N
Content-Type: application/pgp-signature; name=signature.asc
Content-Description: Ceci est une partie de message
=?ISO-8859-1?Q?numériquement?= =?ISO-8859-1?Q?_signée?
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.7 (GNU/Linux)

iD8DBQBHNY+/VHEaRMFauK8RAqP/AJ952omZp64xpJ1Ec7IcFBKyhgGuSQCdHY64
UJ6CozFj07LvrfvbneXOUVM =v9n3
-----END PGP SIGNATURE-----

--=-6lUs4XU6ReRvLkAXyA/N--


--
mailing list
Publicité
Poster une réponse
Anonyme